NullCharIterator (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fo

## Class NullCharIterator

- java.lang.Object
- - org.apache.fop.fo.CharIterator
  - - org.apache.fop.fo.NullCharIterator

- All Implemented Interfaces:
    Cloneable, Iterator

      public class NullCharIterator
      extends CharIterator

  Class providing an iterator for zero characters. Used by the Block FO.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullCharIterator()` Constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CharIterator` | `getInstance()` Obtain the singleton instance of the null character iterator.
    `boolean` | `hasNext()`
    `char` | `nextChar()`

    - ### Methods inherited from class org.apache.fop.fo.CharIterator

      `clone, next, remove, replaceChar`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### NullCharIterator

          public NullCharIterator()

      Constructor

  - ### Method Detail

    - #### getInstance

          public static CharIterator getInstance()

      Obtain the singleton instance of the null character iterator.
      Returns:
        the char iterator

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator`
      Specified by:
        `hasNext` in class `CharIterator`

    - #### nextChar

          public char nextChar()
                        throws NoSuchElementException

      Specified by:
        `nextChar` in class `CharIterator`
      Returns:
        the character that is the next character in the collection
      Throws:
        `NoSuchElementException` - if there are no more characters (test for this condition with java.util.Iterator.hasNext()).

Copyright © 2025 Apache Software Foundation. All rights reserved.